Index: /utils/CI/sette_top_pisces_lbc/sette_reference-configurations.sh
===================================================================
--- /utils/CI/sette_top_pisces_lbc/sette_reference-configurations.sh	(revision 12210)
+++ /utils/CI/sette_top_pisces_lbc/sette_reference-configurations.sh	(revision 12211)
@@ -180,5 +180,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -207,5 +206,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -250,5 +248,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -279,5 +276,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -319,5 +315,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -367,5 +362,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -436,5 +430,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -484,5 +477,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -543,5 +535,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -578,5 +569,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -628,5 +618,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -667,5 +656,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -717,5 +705,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -739,5 +726,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -779,5 +765,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -805,5 +790,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -844,5 +828,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -867,5 +850,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -909,5 +891,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -936,5 +917,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -978,5 +958,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1028,5 +1007,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1086,5 +1064,4 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1093,5 +1070,4 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1100,5 +1076,4 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1107,5 +1082,4 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1129,5 +1103,4 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1138,5 +1111,4 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1147,5 +1119,4 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1156,5 +1127,4 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1210,5 +1180,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1218,5 +1187,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 8
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1226,5 +1194,4 @@
     set_namelist 2_namelist_cfg jpni 2
     set_namelist 2_namelist_cfg jpnj 8
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1234,5 +1201,4 @@
     set_namelist 3_namelist_cfg jpni 2
     set_namelist 3_namelist_cfg jpnj 8
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1262,5 +1228,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1270,5 +1235,4 @@
     set_namelist 1_namelist_cfg jpni 4
     set_namelist 1_namelist_cfg jpnj 4
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1278,5 +1242,4 @@
     set_namelist 2_namelist_cfg jpni 4
     set_namelist 2_namelist_cfg jpnj 4
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1286,5 +1249,4 @@
     set_namelist 3_namelist_cfg jpni 4
     set_namelist 3_namelist_cfg jpnj 4
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1316,5 +1278,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1354,5 +1315,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1395,5 +1355,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1421,5 +1380,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1461,5 +1419,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1489,5 +1446,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
Index: /utils/CI/sette_top_pisces_lbc/sette_test-cases.sh
===================================================================
--- /utils/CI/sette_top_pisces_lbc/sette_test-cases.sh	(revision 12210)
+++ /utils/CI/sette_top_pisces_lbc/sette_test-cases.sh	(revision 12211)
@@ -179,5 +179,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -200,5 +199,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -275,5 +273,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -297,5 +294,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -374,5 +370,4 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -382,5 +377,4 @@
     set_namelist 1_namelist_cfg nn_itend 720
     set_namelist 1_namelist_cfg nn_stock 360
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -404,5 +398,4 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -414,5 +407,4 @@
     set_namelist 1_namelist_cfg nn_it000 361
     set_namelist 1_namelist_cfg nn_itend 720
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -462,5 +454,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -472,5 +463,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -502,5 +492,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -512,5 +501,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -550,5 +538,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -558,5 +545,4 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -580,5 +566,4 @@
     set_namelist namelist_cfg nn_it000 101
     set_namelist namelist_cfg nn_itend 200
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -592,5 +577,4 @@
     set_namelist 1_namelist_cfg nn_it000 301
     set_namelist 1_namelist_cfg nn_itend 600
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -648,5 +632,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -658,5 +641,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -688,5 +670,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -698,5 +679,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -738,5 +718,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -763,5 +742,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -801,5 +779,4 @@
     set_namelist namelist_cfg jpni 7
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -828,5 +805,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.