Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/AMM12/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/context_nemo.xml	(revision 12213)
@@ -27,4 +27,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"            />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"            />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/context_nemo.xml	(revision 12213)
@@ -38,4 +38,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/context_nemo.xml	(revision 12213)
@@ -38,4 +38,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/context_nemo.xml	(revision 12213)
@@ -42,4 +42,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/context_nemo.xml	(revision 12213)
@@ -38,4 +38,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/cfgs/SHARED/grid_def_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/SHARED/grid_def_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/SHARED/grid_def_nemo.xml	(revision 12213)
@@ -4,52 +4,52 @@
         <!--  -->
        <grid id="grid_T_2D" >
-         <domain id="grid_T" />
+         <domain domain_ref="grid_T" />
        </grid>
         <!--  -->
        <grid id="grid_T_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="ncatice" />
        </grid>
         <!--  -->
        <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="deptht" />
        </grid>
         <!--  -->
        <grid id="grid_T_3DS" >
-         <domain id="grid_T" />
-         <axis id="profsed" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="profsed" />
        </grid>
         <!--  -->
        <grid id="grid_U_2D" >
-         <domain id="grid_U" />
+         <domain domain_ref="grid_U" />
        </grid>
         <!--  -->
        <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
+         <domain domain_ref="grid_U" />
+         <axis axis_ref="depthu" />
        </grid>
         <!--  -->
        <grid id="grid_V_2D" >
-         <domain id="grid_V" />
+         <domain domain_ref="grid_V" />
        </grid>
         <!--  -->
        <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
+         <domain domain_ref="grid_V" />
+         <axis axis_ref="depthv" />
        </grid>
         <!--  -->
        <grid id="grid_W_2D" >
-         <domain id="grid_W" />
+         <domain domain_ref="grid_W" />
        </grid>
         <!--  -->
        <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
+         <domain domain_ref="grid_W" />
+         <axis axis_ref="depthw" />
        </grid>
         <!--  -->
        <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="nfloat" />
        </grid>
       <!-- scalars -->
@@ -57,5 +57,25 @@
         <scalar/>
       </grid>
-
+      <!--  --> 
+      <grid id="grid_T_SFC"> 
+ 	<domain domain_ref="grid_T" /> 
+ 	<axis   axis_ref="deptht_surface" /> 
+      </grid> 
+      <!--  --> 
+      <grid id="gznl_T_2D"> 
+ 	<domain domain_ref="ptr" /> 
+      </grid> 
+      <!--  --> 
+      <grid id="gznl_T_3D"> 
+ 	<domain domain_ref="ptr" /> 
+ 	<axis axis_ref="deptht" /> 
+      </grid> 
+      <!--  --> 
+      <grid id="gznl_W_3D"> 
+ 	<domain domain_ref="ptr" /> 
+ 	<axis axis_ref="depthw" /> 
+      </grid> 
+      
+      
     </grid_definition>
     
Index: /NEMO/trunk/cfgs/SPITZ12/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/cfgs/SPITZ12/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/cfgs/SPITZ12/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/CANAL/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/CANAL/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/CANAL/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/ICE_ADV1D/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/ICE_ADV1D/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/ICE_ADV2D/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/ICE_ADV2D/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/ICE_ADV2D/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/ICE_AGRIF/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/ICE_AGRIF/EXPREF/context_nemo.xml	(revision 12213)
@@ -39,4 +39,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/ISOMIP/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/ISOMIP/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/ISOMIP/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/OVERFLOW/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/OVERFLOW/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/VORTEX/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/VORTEX/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/VORTEX/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,4 +37,7 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
  
Index: /NEMO/trunk/tests/WAD/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/trunk/tests/WAD/EXPREF/context_nemo.xml	(revision 12212)
+++ /NEMO/trunk/tests/WAD/EXPREF/context_nemo.xml	(revision 12213)
@@ -37,6 +37,9 @@
       <axis id="iax_20C" long_name="20 degC isotherm"  unit="degC"              />
       <axis id="iax_28C" long_name="28 degC isotherm"  unit="degC"              />
+      <axis id="deptht_surface" axis_ref="deptht" > 
+	<zoom_axis begin=" 1 " n=" 1 " /> 
+      </axis>
     </axis_definition>
- 
+
     <domain_definition src="./domain_def_nemo.xml"/>
   